Subject: RE: [Enum] I-D ACTION:draft-ietf-enum-operation-01.txt

From: "Vaudreuil, Greg M (Greg)" <[email-masked]>
Date: Fri, 27 Oct 2000 15:52:56 -0400

What I am talking about is numbering plan.  I recognise discussing private
numbering plans is out-of-scope for the main work item of this group, it is
worth understanding.  Many of us intend to extend the ENUM work to encompas
private plans and I have an explicit goal to make that technologically
possible.

In my example in the forwarded message below, there are two numbering plans
that can be accessed using a single dialing plan.  These are:

	19727332722, a fully qualified number in the public numbering plan 
and
	2452722, a fully qualified number in a fictional Lucent
corporate-wide
			 private dial plan.  The plan is made of location
code plus
			 extension. (Being an AT&T child, the public plan
						    is our private number
plan :-)

The extension 2272 can be considered a dial-plan short-cut within both
numbering plans or a number plan itself.  However, a different view is
possible.  It is common to have PBX extension numbers that have no
corresponding wide-area numbering plan, that is, they are undialable from
outside the "building".  In that case, an administrator may consider the
internal PBX extensions to be a separate numbering plan that is not a proper
subset dialing plan of any other numbering plan.  To illustrate, the
following dialing plan provides access to three separate numbering plans:

4 digit number => Local PBX number plan
9 + N digits => Public plan
8 + 7 digits => Lucent private plan

Clear?

Greg V.

-----Original Message-----
From: Patrik Fältström [mailto:[email-masked]]
Sent: Friday, October 27, 2000 1:38 PM
To: Vaudreuil, Greg M (Greg); Randy Bush; [email-masked]
Subject: RE: [Enum] I-D ACTION:draft-ietf-enum-operation-01.txt

At 12.34 -0500 00-10-27, Vaudreuil, Greg M (Greg) wrote:
>It is also helpful when you want a single second-level authority to hold
>NAPTR records for internal and external numbering plans such as:
>
>	2.2.7.2.3.3.7.2.7.9.1.e164.arpa (open-world PSTN)
>and
>	2.2.7.2.dallas.lucent.com  (extension 2272 on local PBX)
>and
>	2.7.2.2.5.4.2.lucent.com  (location 542, extension 2722)

Are you talking about numbering plan or dialing plan here? People 
that work with telephony tell me it is important to distinguish 
between the two.

   paf

_______________________________________________
enum mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/enum

_______________________________________________
enum mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/enum